<?php $__env->startSection('title', admin_lang('Coupons')); ?>
<?php $__env->startSection('link', route('admin.coupons.create')); ?>
<?php $__env->startSection('content'); ?>
    <div class="card ratings custom-card">
        <table id="datatable" class="table w-100">
            <thead>
                <tr>
                    <th class="tb-w-2x"><?php echo e(admin_lang('#')); ?></th>
                    <th class="tb-w-7x"><?php echo e(admin_lang('Coupon')); ?></th>
                    <th class="tb-w-3x"><?php echo e(admin_lang('Percentage')); ?></th>
                    <th class="tb-w-2x"><?php echo e(admin_lang('Limit')); ?></th>
                    <th class="tb-w-3x"><?php echo e(admin_lang('Plan')); ?></th>
                    <th class="tb-w-2x"><?php echo e(admin_lang('Action type')); ?></th>
                    <th class="tb-w-3x"><?php echo e(admin_lang('expiry date')); ?></th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $coupons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $coupon): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($coupon->id); ?></td>
                        <td><?php echo e($coupon->code); ?></td>
                        <td><strong><?php echo e($coupon->percentage); ?>% <?php echo e(admin_lang('OFF')); ?></strong></td>
                        <td><?php echo e($coupon->limit); ?></td>
                        <td>
                            <?php if(!is_null($coupon->plan_id)): ?>
                                <a href="<?php echo e(route('admin.plans.edit', $coupon->plan->id)); ?>"
                                    style="color: <?php echo e($coupon->plan->color); ?>"><i class="far fa-gem me-2"></i>
                                    <?php echo e($coupon->plan->name); ?>

                                </a>
                            <?php else: ?>
                                <a href="<?php echo e(route('admin.plans.index')); ?>" class="text-dark">
                                    <i class="far fa-gem me-2"></i><?php echo e(admin_lang('All plans')); ?>

                                </a>
                            <?php endif; ?>
                        </td>
                        <td>
                            <?php if($coupon->action_type == 0): ?>
                                <span class="badge bg-lg-1"><?php echo e(admin_lang('All actions')); ?></span>
                            <?php elseif($coupon->action_type == 1): ?>
                                <span class="badge bg-lg-2"><?php echo e(admin_lang('Subscribing')); ?></span>
                            <?php elseif($coupon->action_type == 2): ?>
                                <span class="badge bg-lg-3"><?php echo e(admin_lang('Renewal')); ?></span>
                            <?php elseif($coupon->action_type == 3): ?>
                                <span class="badge bg-lg-4"><?php echo e(admin_lang('Upgrade')); ?></span>
                            <?php endif; ?>
                        </td>
                        <td>
                            <?php if(!$coupon->isExpiry()): ?>
                                <?php echo e(dateFormat($coupon->expiry_at)); ?>

                            <?php else: ?>
                                <span class="badge bg-danger"><?php echo e(admin_lang('Expired')); ?></span>
                            <?php endif; ?>
                        </td>
                        <td>
                            <div class="text-end">
                                <button type="button" class="btn btn-sm rounded-3" data-bs-toggle="dropdown"
                                    aria-expanded="true">
                                    <i class="fa fa-ellipsis-v fa-sm text-muted"></i>
                                </button>
                                <ul class="dropdown-menu dropdown-menu-sm-end" data-popper-placement="bottom-end">
                                    <li>
                                        <a class="dropdown-item" href="<?php echo e(route('admin.coupons.edit', $coupon->id)); ?>"><i
                                                class="fa fa-edit me-2"></i><?php echo e(admin_lang('Edit')); ?></a>
                                    </li>
                                    <li>
                                        <hr class="dropdown-divider" />
                                    </li>
                                    <li>
                                        <form action="<?php echo e(route('admin.coupons.destroy', $coupon->id)); ?>" method="POST">
                                            <?php echo csrf_field(); ?> <?php echo method_field('DELETE'); ?>
                                            <button class="vironeer-able-to-delete dropdown-item text-danger"><i
                                                    class="far fa-trash-alt me-2"></i><?php echo e(admin_lang('Delete')); ?></button>
                                        </form>
                                    </li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.grid', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/coupons/index.blade.php ENDPATH**/ ?>