<?php $__env->startSection('title', admin_lang('Subscriptions')); ?>
<?php $__env->startSection('add_modal', admin_lang('Add New')); ?>
<?php $__env->startSection('content'); ?>
    <div class="row g-3 mb-3">
        <div class="col-12 col-lg-6 col-xxl">
            <div class="counter-card v3 c-light-green">
                <div class="counter-card-icon">
                    <i class="far fa-check-circle"></i>
                </div>
                <div class="counter-card-info">
                    <p class="counter-card-number"><?php echo e($activeSubscriptions->count()); ?></p>
                    <p class="counter-card-title"><?php echo e(admin_lang('Active Subscriptions')); ?></p>
                </div>
            </div>
        </div>
        <div class="col-12 col-lg-6 col-xxl">
            <div class="counter-card v3 c-light-red">
                <div class="counter-card-icon">
                    <i class="far fa-clock"></i>
                </div>
                <div class="counter-card-info">
                    <p class="counter-card-number"><?php echo e($expiredSubscriptions->count()); ?></p>
                    <p class="counter-card-title"><?php echo e(admin_lang('Expired Subscriptions')); ?></p>
                </div>
            </div>
        </div>
        <?php if($canceledSubscriptions->count() > 0): ?>
            <div class="col-12 col-lg-6 col-xxl">
                <div class="counter-card v3 c-red">
                    <div class="counter-card-icon">
                        <i class="far fa-times-circle"></i>
                    </div>
                    <div class="counter-card-info">
                        <p class="counter-card-number"><?php echo e($canceledSubscriptions->count()); ?></p>
                        <p class="counter-card-title"><?php echo e(admin_lang('Canceled Subscriptions')); ?></p>
                    </div>
                </div>
            </div>
        <?php endif; ?>
    </div>
    <div class="card custom-card custom-tabs mb-3">
        <div class="card-body">
            <ul class="nav nav-pills" role="tablist">
                <li role="presentation">
                    <button class="nav-link active me-2" id="active-tab" data-bs-toggle="tab" data-bs-target="#active"
                        type="button" role="tab" aria-controls="active" aria-selected="true"><i
                            class="far fa-check-circle me-2"></i><?php echo e(admin_lang('Active')); ?>

                        (<?php echo e($activeSubscriptions->count()); ?>)
                    </button>
                </li>
                <li role="presentation">
                    <button class="nav-link me-2" id="expired-tab" data-bs-toggle="tab" data-bs-target="#expired"
                        type="button" role="tab" aria-controls="expired" aria-selected="false"><i
                            class="far fa-clock me-2"></i><?php echo e(admin_lang('Expired')); ?>

                        (<?php echo e($expiredSubscriptions->count()); ?>)
                    </button>
                </li>
                <?php if($canceledSubscriptions->count() > 0): ?>
                    <li role="presentation">
                        <button class="nav-link" id="canceled-tab" data-bs-toggle="tab" data-bs-target="#canceled"
                            type="button" role="tab" aria-controls="canceled" aria-selected="false"><i
                                class="far fa-times-circle me-2"></i><?php echo e(admin_lang('Canceled')); ?>

                            (<?php echo e($canceledSubscriptions->count()); ?>)
                        </button>
                    </li>
                <?php endif; ?>
            </ul>
        </div>
    </div>
    <div class="card custom-card">
        <div class="tab-content">
            <div class="tab-pane fade show active" id="active" role="tabpanel" aria-labelledby="active-tab">
                <table class="datatable50 table w-100">
                    <thead>
                        <tr>
                            <th class="tb-w-2x"><?php echo e(admin_lang('#')); ?></th>
                            <th class="tb-w-20x"><?php echo e(admin_lang('User details')); ?></th>
                            <th class="tb-w-7x"><?php echo e(admin_lang('Plan')); ?></th>
                            <th class="tb-w-7x"><?php echo e(admin_lang('Subscribe at')); ?></th>
                            <th class="tb-w-7x"><?php echo e(admin_lang('Expiring at')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Status')); ?></th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $activeSubscriptions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subscription): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($subscription->id); ?></td>
                                <td>
                                    <div class="vironeer-user-box">
                                        <a class="vironeer-user-avatar"
                                            href="<?php echo e(route('admin.users.edit', $subscription->user->id)); ?>">
                                            <img src="<?php echo e(asset($subscription->user->avatar)); ?>">
                                        </a>
                                        <div>
                                            <a class="text-reset"
                                                href="<?php echo e(route('admin.users.edit', $subscription->user->id)); ?>">
                                                <?php echo e($subscription->user->name); ?></a>
                                            <p class="text-muted mb-0"><?php echo e($subscription->user->email); ?></p>
                                        </div>
                                    </div>
                                </td>
                                <td><a href="<?php echo e(route('admin.plans.edit', $subscription->plan->id)); ?>"><i
                                            class="far fa-gem me-2"></i>
                                        <?php echo e($subscription->plan->name); ?>

                                    </a>
                                </td>
                                <td><?php echo e(dateFormat($subscription->created_at)); ?></td>
                                <td>
                                    <span class="<?php echo e($subscription->isExpired() ? 'text-danger' : 'text-dark'); ?>">
                                        <?php echo e(dateFormat($subscription->expiry_at)); ?>

                                    </span>
                                </td>
                                <td>
                                    <?php if($subscription->isExpired()): ?>
                                        <span class="badge bg-danger"><?php echo e(admin_lang('Expired')); ?></span>
                                    <?php elseif($subscription->isActive()): ?>
                                        <span class="badge bg-success"><?php echo e(admin_lang('Active')); ?></span>
                                    <?php else: ?>
                                        <span class="badge bg-lg-4"><?php echo e(admin_lang('Canceled')); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <div class="text-end">
                                        <button type="button" class="btn btn-sm rounded-3" data-bs-toggle="dropdown"
                                            aria-expanded="true">
                                            <i class="fa fa-ellipsis-v fa-sm text-muted"></i>
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-sm-end dropdown-menu-lg"
                                            data-popper-placement="bottom-end">
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('admin.subscriptions.edit', $subscription->id)); ?>"><i
                                                        class="fa fa-edit me-2"></i><?php echo e(admin_lang('Edit')); ?></a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('admin.users.edit', $subscription->user->id)); ?>"><i
                                                        class="fa fa-user me-2"></i><?php echo e(admin_lang('User details')); ?></a>
                                            </li>
                                            <li>
                                                <hr class="dropdown-divider" />
                                            </li>
                                            <li>
                                                <form
                                                    action="<?php echo e(route('admin.subscriptions.destroy', $subscription->id)); ?>"
                                                    method="POST">
                                                    <?php echo csrf_field(); ?> <?php echo method_field('DELETE'); ?>
                                                    <button class="vironeer-able-to-delete dropdown-item text-danger"><i
                                                            class="far fa-trash-alt me-2"></i><?php echo e(admin_lang('Delete')); ?></button>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
            <div class="tab-pane fade" id="expired" role="tabpanel" aria-labelledby="expired-tab">
                <table class="datatable50 table w-100">
                    <thead>
                        <tr>
                            <th class="tb-w-2x"><?php echo e(admin_lang('#')); ?></th>
                            <th class="tb-w-20x"><?php echo e(admin_lang('User details')); ?></th>
                            <th class="tb-w-7x"><?php echo e(admin_lang('Plan')); ?></th>
                            <th class="tb-w-7x"><?php echo e(admin_lang('Subscribe at')); ?></th>
                            <th class="tb-w-7x"><?php echo e(admin_lang('Expiring at')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Status')); ?></th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $expiredSubscriptions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subscription): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($subscription->id); ?></td>
                                <td>
                                    <div class="vironeer-user-box">
                                        <a class="vironeer-user-avatar"
                                            href="<?php echo e(route('admin.subscriptions.edit', $subscription->id)); ?>">
                                            <img src="<?php echo e(asset($subscription->user->avatar)); ?>">
                                        </a>
                                        <div>
                                            <a class="text-reset"
                                                href="<?php echo e(route('admin.users.edit', $subscription->user->id)); ?>">
                                                <?php echo e($subscription->user->name); ?></a>
                                            <p class="text-muted mb-0"><?php echo e($subscription->user->email); ?></p>
                                        </div>
                                    </div>
                                </td>
                                <td><a href="<?php echo e(route('admin.plans.edit', $subscription->plan->id)); ?>"><i
                                            class="far fa-gem me-2"></i>
                                        <?php echo e($subscription->plan->name); ?>

                                    </a>
                                </td>
                                <td><?php echo e(dateFormat($subscription->created_at)); ?></td>
                                <td>
                                    <span class="<?php echo e($subscription->isExpired() ? 'text-danger' : 'text-dark'); ?>">
                                        <?php echo e(dateFormat($subscription->expiry_at)); ?>

                                    </span>
                                </td>
                                <td>
                                    <?php if($subscription->isExpired()): ?>
                                        <span class="badge bg-danger"><?php echo e(admin_lang('Expired')); ?></span>
                                    <?php elseif($subscription->isActive()): ?>
                                        <span class="badge bg-success"><?php echo e(admin_lang('Active')); ?></span>
                                    <?php else: ?>
                                        <span class="badge bg-lg-4"><?php echo e(admin_lang('Canceled')); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <div class="text-end">
                                        <button type="button" class="btn btn-sm rounded-3" data-bs-toggle="dropdown"
                                            aria-expanded="true">
                                            <i class="fa fa-ellipsis-v fa-sm text-muted"></i>
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-sm-end dropdown-menu-lg"
                                            data-popper-placement="bottom-end">
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('admin.subscriptions.edit', $subscription->id)); ?>"><i
                                                        class="fa fa-edit me-2"></i><?php echo e(admin_lang('Edit')); ?></a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('admin.users.edit', $subscription->user->id)); ?>"><i
                                                        class="fa fa-user me-2"></i><?php echo e(admin_lang('User details')); ?></a>
                                            </li>
                                            <li>
                                                <hr class="dropdown-divider" />
                                            </li>
                                            <li>
                                                <form
                                                    action="<?php echo e(route('admin.subscriptions.destroy', $subscription->id)); ?>"
                                                    method="POST">
                                                    <?php echo csrf_field(); ?> <?php echo method_field('DELETE'); ?>
                                                    <button class="vironeer-able-to-delete dropdown-item text-danger"><i
                                                            class="far fa-trash-alt me-2"></i><?php echo e(admin_lang('Delete')); ?></button>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
            <?php if($canceledSubscriptions->count() > 0): ?>
                <div class="tab-pane fade" id="canceled" role="tabpanel" aria-labelledby="canceled-tab">
                    <table class="datatable50 table w-100">
                        <thead>
                            <tr>
                                <th class="tb-w-2x"><?php echo e(admin_lang('#')); ?></th>
                                <th class="tb-w-20x"><?php echo e(admin_lang('User details')); ?></th>
                                <th class="tb-w-7x"><?php echo e(admin_lang('Plan')); ?></th>
                                <th class="tb-w-7x"><?php echo e(admin_lang('Subscribe at')); ?></th>
                                <th class="tb-w-7x"><?php echo e(admin_lang('Expiring at')); ?></th>
                                <th class="tb-w-3x"><?php echo e(admin_lang('Status')); ?></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $canceledSubscriptions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subscription): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($subscription->id); ?></td>
                                    <td>
                                        <div class="vironeer-user-box">
                                            <a class="vironeer-user-avatar"
                                                href="<?php echo e(route('admin.users.edit', $subscription->user->id)); ?>">
                                                <img src="<?php echo e(asset($subscription->user->avatar)); ?>">
                                            </a>
                                            <div>
                                                <a class="text-reset"
                                                    href="<?php echo e(route('admin.users.edit', $subscription->user->id)); ?>">
                                                    <?php echo e($subscription->user->name); ?></a>
                                                <p class="text-muted mb-0"><?php echo e($subscription->user->email); ?></p>
                                            </div>
                                        </div>
                                    </td>
                                    <td><a href="<?php echo e(route('admin.plans.edit', $subscription->plan->id)); ?>"
                                            style="color: <?php echo e($subscription->plan->color); ?>"><i
                                                class="far fa-gem me-2"></i>
                                            <?php echo e($subscription->plan->name); ?>

                                        </a>
                                    </td>
                                    <td><?php echo e(dateFormat($subscription->created_at)); ?></td>
                                    <td>
                                        <span class="<?php echo e($subscription->isExpired() ? 'text-danger' : 'text-dark'); ?>">
                                            <?php echo e(dateFormat($subscription->expiry_at)); ?>

                                        </span>
                                    </td>
                                    <td>
                                        <?php if($subscription->isExpired()): ?>
                                            <span class="badge bg-danger"><?php echo e(admin_lang('Expired')); ?></span>
                                        <?php elseif($subscription->isActive()): ?>
                                            <span class="badge bg-success"><?php echo e(admin_lang('Active')); ?></span>
                                        <?php else: ?>
                                            <span class="badge bg-lg-4"><?php echo e(admin_lang('Canceled')); ?></span>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <div class="text-end">
                                            <button type="button" class="btn btn-sm rounded-3" data-bs-toggle="dropdown"
                                                aria-expanded="true">
                                                <i class="fa fa-ellipsis-v fa-sm text-muted"></i>
                                            </button>
                                            <ul class="dropdown-menu dropdown-menu-sm-end dropdown-menu-lg"
                                                data-popper-placement="bottom-end">
                                                <li>
                                                    <a class="dropdown-item"
                                                        href="<?php echo e(route('admin.subscriptions.edit', $subscription->id)); ?>"><i
                                                            class="fa fa-edit me-2"></i><?php echo e(admin_lang('Edit')); ?></a>
                                                </li>
                                                <li>
                                                    <a class="dropdown-item"
                                                        href="<?php echo e(route('admin.users.edit', $subscription->user->id)); ?>"><i
                                                            class="fa fa-user me-2"></i><?php echo e(admin_lang('User details')); ?></a>
                                                </li>
                                                <li>
                                                    <hr class="dropdown-divider" />
                                                </li>
                                                <li>
                                                    <form
                                                        action="<?php echo e(route('admin.subscriptions.destroy', $subscription->id)); ?>"
                                                        method="POST">
                                                        <?php echo csrf_field(); ?> <?php echo method_field('DELETE'); ?>
                                                        <button
                                                            class="vironeer-able-to-delete dropdown-item text-danger"><i
                                                                class="far fa-trash-alt me-2"></i><?php echo e(admin_lang('Delete')); ?></button>
                                                    </form>
                                                </li>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            <?php endif; ?>
        </div>
    </div>
    <div class="modal fade" id="addModal" tabindex="-1" aria-labelledby="addModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header py-3">
                    <h6 class="modal-title" id="addModalLabel"><?php echo e(admin_lang('New Subscription')); ?></h6>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="<?php echo e(route('admin.subscriptions.store')); ?>" method="POST">
                        <?php echo csrf_field(); ?>
                        <div class="mb-3">
                            <label class="form-label"><?php echo e(admin_lang('User')); ?> : <span class="red">*</span></label>
                            <select id="vironeer-select-user" name="user" class="form-select select2Modal" required>
                                <option></option>
                                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(!$user->isSubscribed()): ?>
                                        <option value="<?php echo e($user->id); ?>"
                                            <?php echo e(old('user') == $user->id ? 'selected' : ''); ?>>
                                            <?php echo e($user->name); ?> (<?php echo e($user->email); ?>)
                                        </option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="mb-4">
                            <label class="form-label"><?php echo e(admin_lang('Plan')); ?> : <span class="red">*</span></label>
                            <select name="plan" class="form-select" required>
                                <option value="" selected disabled><?php echo e(admin_lang('Choose')); ?></option>
                                <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($plan->id); ?>"
                                        <?php echo e(old('plan') == $plan->id ? 'selected' : ''); ?>>
                                        <?php echo e($plan->name); ?>

                                        <?php echo e($plan->interval == 1 ? admin_lang('(Monthly)') : admin_lang('(Yearly)')); ?>

                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <button class="btn btn-primary"><?php echo e(admin_lang('Save')); ?></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.grid', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/subscriptions/index.blade.php ENDPATH**/ ?>