<?php $__env->startSection('section', admin_lang('Settings')); ?>
<?php $__env->startSection('title', admin_lang('SMTP')); ?>
<?php $__env->startSection('container', 'container-max-lg'); ?>
<?php $__env->startSection('content'); ?>
    <form id="vironeer-submited-form" action="<?php echo e(route('admin.settings.smtp.update')); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <div class="card">
            <div class="card-header">
                <?php echo e(admin_lang('SMTP details')); ?>

            </div>
            <div class="card-body">
                <div class="mb-3 row">
                    <label class="form-label col-12 col-lg-3 col-form-label"><?php echo e(admin_lang('Status :')); ?> </label>
                    <div class="col col-lg-3">
                        <input type="checkbox" name="smtp[status]" data-toggle="toggle"
                            <?php if($settings->smtp->status): ?> checked <?php endif; ?>>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="form-label col-12 col-lg-3 col-form-label"><?php echo e(admin_lang('Mail mailer :')); ?> </label>
                    <div class="col">
                        <select name="smtp[mailer]" class="form-select">
                            <option value="smtp" <?php if($settings->smtp->mailer == 'mail_mailer'): ?> selected <?php endif; ?>>
                                <?php echo e(admin_lang('SMTP')); ?>

                            </option>
                            <option value="sendmail" <?php if($settings->smtp->mailer == 'sendmail'): ?> selected <?php endif; ?>>
                                <?php echo e(admin_lang('SENDMAIL')); ?>

                            </option>
                        </select>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="form-label col-12 col-lg-3 col-form-label"><?php echo e(admin_lang('Mail Host :')); ?> </label>
                    <div class="col">
                        <input type="text" name="smtp[host]" class="remove-spaces form-control"
                            value="<?php echo e(demoMode() ? '' : $settings->smtp->host); ?>"
                            placeholder="<?php echo e(admin_lang('Enter mail host')); ?>">
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="form-label col-12 col-lg-3 col-form-label"><?php echo e(admin_lang('Mail Port :')); ?> </label>
                    <div class="col">
                        <input type="text" name="smtp[port]" class="remove-spaces form-control"
                            value="<?php echo e(demoMode() ? '' : $settings->smtp->port); ?>"
                            placeholder="<?php echo e(admin_lang('Enter mail port')); ?>">
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="form-label col-12 col-lg-3 col-form-label"><?php echo e(admin_lang('Mail username :')); ?> </label>
                    <div class="col">
                        <input type="text" name="smtp[username]" class="form-control remove-spaces"
                            value="<?php echo e(demoMode() ? '' : $settings->smtp->username); ?>"
                            placeholder="<?php echo e(admin_lang('Enter username')); ?>">
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="form-label col-12 col-lg-3 col-form-label"><?php echo e(admin_lang('Mail password :')); ?> </label>
                    <div class="col">
                        <input type="password" name="smtp[password]" class="form-control"
                            value="<?php echo e(demoMode() ? '' : $settings->smtp->password); ?>"
                            placeholder="<?php echo e(admin_lang('Enter password')); ?>">
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="form-label col-12 col-lg-3 col-form-label"><?php echo e(admin_lang('Mail encryption :')); ?> </label>
                    <div class="col">
                        <select name="smtp[encryption]" class="form-select">
                            <option value="tls" <?php if($settings->smtp->encryption == 'tls'): ?> selected <?php endif; ?>>
                                <?php echo e(admin_lang('TLS')); ?>

                            </option>
                            <option value="ssl" <?php if($settings->smtp->encryption == 'ssl'): ?> selected <?php endif; ?>>
                                <?php echo e(admin_lang('SSL')); ?>

                            </option>
                        </select>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="form-label col-12 col-lg-3 col-form-label"><?php echo e(admin_lang('From email :')); ?> </label>
                    <div class="col">
                        <input type="text" name="smtp[from_email]" class="remove-spaces form-control"
                            value="<?php echo e(demoMode() ? '' : $settings->smtp->from_email); ?>"
                            placeholder="<?php echo e(admin_lang('Enter from email')); ?>">
                    </div>
                </div>
                <div class="row">
                    <label class="form-label col-12 col-lg-3 col-form-label"><?php echo e(admin_lang('From name :')); ?> </label>
                    <div class="col">
                        <input type="text" name="smtp[from_name]" class="remove-spaces form-control"
                            value="<?php echo e(demoMode() ? '' : $settings->smtp->from_name); ?>"
                            placeholder="<?php echo e(admin_lang('Enter from name')); ?>">
                    </div>
                </div>
            </div>
        </div>
    </form>
    <?php if($settings->smtp->status): ?>
        <div class="card mt-4">
            <div class="card-header">
                <?php echo e(admin_lang('Testing')); ?>

            </div>
            <div class="card-body">
                <form action="<?php echo e(route('admin.settings.smtp.test')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="row align-items-center">
                        <div class="col-lg-auto">
                            <label class="form-label"><?php echo e(admin_lang('E-mail Address')); ?> : <span
                                    class="red">*</span></label>
                        </div>
                        <div class="col">
                            <input type="email" name="email" class="form-control" placeholder="john@example.com"
                                value="<?php echo e(adminAuthInfo()->email); ?>">
                        </div>
                        <div class="col-auto">
                            <button class="btn btn-success"><?php echo e(admin_lang('Send')); ?></button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/settings/smtp.blade.php ENDPATH**/ ?>