<?php $__env->startSection('section', admin_lang('Settings')); ?>
<?php $__env->startSection('title', admin_lang('Image Generation')); ?>
<?php $__env->startSection('container', 'container-max-lg'); ?>
<?php $__env->startSection('content'); ?>
    <form id="vironeer-submited-form" action="<?php echo e(route('admin.settings.generation.update')); ?>" method="POST"
        enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <div class="card mb-3">
            <div class="card-header">
                <?php echo e(admin_lang('Settings')); ?>

            </div>
            <div class="card-body p-4">
                <div class="row g-3 mb-2">
                    <div class="col-12">
                        <label class="form-label"><?php echo e(admin_lang('Convert Original Image To WEBP')); ?> : <span
                                class="red">*</span></label>
                        <select name="image[original][webp_convert]" class="form-select">
                            <option value="0" <?php if($settings->image->original->webp_convert == '0'): echo 'selected'; endif; ?>><?php echo e(admin_lang('No')); ?></option>
                            <option value="1" <?php if($settings->image->original->webp_convert == '1'): echo 'selected'; endif; ?>><?php echo e(admin_lang('Yes')); ?></option>
                        </select>
                    </div>
                    <div class="col-lg-3">
                        <label class="form-label"><?php echo e(admin_lang('Generate image thumbnail')); ?> :</label>
                        <input id="generateImageThumbnail" type="checkbox" name="image[thumbnail][status]"
                            data-toggle="toggle" data-on="<?php echo e(admin_lang('Yes')); ?>" data-off="<?php echo e(admin_lang('No')); ?>"
                            <?php if($settings->image->thumbnail->status): echo 'checked'; endif; ?>>
                    </div>
                </div>
                <div id="thumbnailOptions" class="mt-3 <?php echo e(!$settings->image->thumbnail->status ? 'd-none' : ''); ?>">
                    <div class="row g-3">
                        <div class="col-lg-6">
                            <label class="form-label"><?php echo e(admin_lang('Thumbnail Width')); ?> : <span
                                    class="red">*</span></label>
                            <input type="number" name="image[thumbnail][width]" class="form-control" min="1"
                                required value="<?php echo e($settings->image->thumbnail->width); ?>">
                        </div>
                        <div class="col-lg-6">
                            <label class="form-label"><?php echo e(admin_lang('Thumbnail Height')); ?> : <span
                                    class="red">*</span></label>
                            <input type="number" name="image[thumbnail][height]" class="form-control" min="1"
                                required value="<?php echo e($settings->image->thumbnail->height); ?>">
                        </div>
                        <div class="col-12">
                            <label class="form-label"><?php echo e(admin_lang('Convert Thumbnail To WEBP')); ?> : <span
                                    class="red">*</span></label>
                            <select name="image[thumbnail][webp_convert]" class="form-select">
                                <option value="0" <?php if($settings->image->thumbnail->webp_convert == '0'): echo 'selected'; endif; ?>><?php echo e(admin_lang('No')); ?></option>
                                <option value="1" <?php if($settings->image->thumbnail->webp_convert == '1'): echo 'selected'; endif; ?>><?php echo e(admin_lang('Yes')); ?></option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header"><?php echo e(admin_lang('Watermark')); ?></div>
            <div class="card-body p-4">
                <div class="vironeer-file-preview-box mb-3 bg-light py-4 text-center">
                    <div class="file-preview-box mb-3">
                        <img id="filePreview" src="<?php echo e(asset($settings->watermark->logo)); ?>"
                            width="<?php echo e($settings->watermark->width); ?>px" height="<?php echo e($settings->watermark->height); ?>px">
                    </div>
                    <button id="selectFileBtn" type="button"
                        class="btn btn-secondary mb-2"><?php echo e(admin_lang('Choose Image')); ?></button>
                    <input id="selectedFileInput" type="file" name="watermark[logo]" accept="image/png" hidden>
                    <small class="text-muted d-block"><?php echo e(admin_lang('Image must be PNG format')); ?></small>
                </div>
                <div class="col-lg-3 mb-3">
                    <label class="form-label"><?php echo e(admin_lang('Status')); ?> :</label>
                    <input type="checkbox" name="watermark[status]" data-toggle="toggle"
                        <?php echo e($settings->watermark->status ? 'checked' : ''); ?>>
                </div>
                <div class="row g-3">
                    <div class="col-lg-12">
                        <label class="form-label"><?php echo e(admin_lang('Position')); ?> : <span class="red">*</span></label>
                        <select name="watermark[position]" class="form-select" required>
                            <?php $__currentLoopData = \App\Models\Settings::WATERMARK_POSITIONS; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($key); ?>"
                                    <?php echo e($settings->watermark->position == $key ? 'selected' : ''); ?>><?php echo e($value); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Width')); ?> : <span class="red">*</span></label>
                        <input type="number" name="watermark[width]" class="form-control" min="25" max="1000"
                            value="<?php echo e($settings->watermark->width); ?>" required>
                    </div>
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Height')); ?> : <span class="red">*</span></label>
                        <input type="number" name="watermark[height]" class="form-control" min="25" max="1000"
                            value="<?php echo e($settings->watermark->height); ?>" required>
                    </div>
                    <div class="col-12">
                        <label class="form-label"><?php echo e(admin_lang('Add to')); ?> : <span class="red">*</span></label>
                        <select name="watermark[add_to]" class="form-select">
                            <option value="1" <?php if($settings->watermark->add_to == 1): echo 'selected'; endif; ?>>
                                <?php echo e(admin_lang('Thumbnail')); ?>

                            </option>
                            <option value="2" <?php if($settings->watermark->add_to == 2): echo 'selected'; endif; ?>>
                                <?php echo e(admin_lang('Original image')); ?>

                            </option>
                            <option value="3" <?php if($settings->watermark->add_to == 3): echo 'selected'; endif; ?>>
                                <?php echo e(admin_lang('Thumbnail and original image')); ?>

                            </option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </form>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/settings/generation.blade.php ENDPATH**/ ?>