<?php $__env->startSection('title', admin_lang('Transactions')); ?>
<?php $__env->startSection('content'); ?>
    <div class="row g-3 mb-3 transactions">
        <div class="col-12 col-lg-6 col-xxl-6">
            <div class="counter-card-z c-light-green">
                <div class="counter-card-z-upper">
                    <div class="counter-card-z-meta">
                        <p class="counter-card-z-title"><?php echo e(admin_lang('Total Paid Amount')); ?></p>
                        <h3 class="counter-card-z-counter-card"><?php echo e(priceSymbol($paidAmount['total'])); ?></h3>
                    </div>
                    <div class="counter-card-z-icon">
                        <i class="fas fa-receipt"></i>
                    </div>
                </div>
                <hr>
                <div class="counter-card-z-lower">
                    <div class="details">
                        <div class="d-flex justify-content-between align-items-center mb-1">
                            <span><?php echo e(admin_lang('Subscriptions')); ?></span>
                            <span>+ <?php echo e(priceSymbol($paidAmount['subscriptions'])); ?></span>
                        </div>
                        <div class="d-flex justify-content-between align-items-center mb-1">
                            <span><?php echo e(admin_lang('Taxes')); ?></span>
                            <span>+ <?php echo e(priceSymbol($paidAmount['taxes'])); ?></span>
                        </div>
                        <div class="d-flex justify-content-between align-items-center mb-0">
                            <span><?php echo e(admin_lang('Fees')); ?></span>
                            <span>+ <?php echo e(priceSymbol($paidAmount['fees'])); ?></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12 col-lg-6 col-xxl-6">
            <div class="counter-card-z c-red">
                <div class="counter-card-z-upper">
                    <div class="counter-card-z-meta">
                        <p class="counter-card-z-title"><?php echo e(admin_lang('Total Canceled Amount')); ?></p>
                        <h3 class="counter-card-z-counter-card"><?php echo e(priceSymbol($paidAmount['total'])); ?></h3>
                    </div>
                    <div class="counter-card-z-icon">
                        <i class="fas fa-receipt"></i>
                    </div>
                </div>
                <hr>
                <div class="counter-card-z-lower">
                    <div class="details">
                        <div class="d-flex justify-content-between align-items-center mb-1">
                            <span><?php echo e(admin_lang('Subscriptions')); ?></span>
                            <span>- <?php echo e(priceSymbol($canceledAmount['subscriptions'])); ?></span>
                        </div>
                        <div class="d-flex justify-content-between align-items-center mb-1">
                            <span><?php echo e(admin_lang('Taxes')); ?></span>
                            <span>- <?php echo e(priceSymbol($canceledAmount['taxes'])); ?></span>
                        </div>
                        <div class="d-flex justify-content-between align-items-center mb-0">
                            <span><?php echo e(admin_lang('Fees')); ?></span>
                            <span>- <?php echo e(priceSymbol($canceledAmount['fees'])); ?></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="card custom-card custom-tabs mb-3">
        <div class="card-body">
            <ul class="nav nav-pills" role="tablist">
                <li role="presentation">
                    <button class="nav-link active me-2" id="paid-tab" data-bs-toggle="tab" data-bs-target="#paid"
                        type="button" role="tab" aria-controls="paid" aria-selected="true"><?php echo e(admin_lang('Paid')); ?>

                        (<?php echo e($paidTransactions->count()); ?>)</button>
                </li>
                <li role="presentation">
                    <button class="nav-link" id="canceled-tab" data-bs-toggle="tab" data-bs-target="#canceled"
                        type="button" role="tab" aria-controls="canceled"
                        aria-selected="false"><?php echo e(admin_lang('Canceled')); ?>

                        (<?php echo e($canceledTransactions->count()); ?>)</button>
                </li>
            </ul>
        </div>
    </div>
    <div class="card custom-card">
        <div class="tab-content">
            <div class="tab-pane fade show active" id="paid" role="tabpanel" aria-labelledby="paid-tab">
                <table class="datatable50 table w-100">
                    <thead>
                        <tr>
                            <th class="tb-w-2x"><?php echo e(admin_lang('#ID')); ?></th>
                            <th class="tb-w-7x"><?php echo e(admin_lang('User')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Plan')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Total')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Gateway')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Type')); ?></th>
                            <th class="tb-w-7x"><?php echo e(admin_lang('Created at')); ?></th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $paidTransactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><a
                                        href="<?php echo e(route('admin.transactions.edit', $transaction->id)); ?>"><?php echo e($transaction->id); ?></a>
                                </td>
                                <td><a href="<?php echo e(route('admin.users.edit', $transaction->user->id)); ?>" class="text-dark"><i
                                            class="fa fa-user me-2"></i>
                                        <?php echo e($transaction->user->name); ?>

                                    </a>
                                </td>
                                <td><a href="<?php echo e(route('admin.plans.edit', $transaction->plan->id)); ?>"><i
                                            class="far fa-gem me-2"></i>
                                        <?php echo e($transaction->plan->name); ?>

                                    </a>
                                </td>
                                <td><strong><?php echo e(priceSymbol($transaction->total)); ?></strong></td>
                                <td>
                                    <?php if($transaction->gateway): ?>
                                        <a href="<?php echo e(route('admin.settings.gateways.edit', $transaction->gateway->id)); ?>"
                                            class="text-dark">
                                            <i class="fas fa-external-link-alt me-2"></i><?php echo e($transaction->gateway->name); ?>

                                        <?php else: ?>
                                            <span>--</span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($transaction->type == 1): ?>
                                        <span class="badge bg-lg-1"><?php echo e(admin_lang('Subscribe')); ?></span>
                                    <?php elseif($transaction->type == 2): ?>
                                        <span class="badge bg-lg-2"><?php echo e(admin_lang('Renew')); ?></span>
                                    <?php elseif($transaction->type == 3): ?>
                                        <span class="badge bg-lg-9"><?php echo e(admin_lang('Upgrade')); ?></span>
                                    <?php elseif($transaction->type == 4): ?>
                                        <span class="badge bg-lg-10"><?php echo e(admin_lang('Downgrade')); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td><?php echo e(dateFormat($transaction->created_at)); ?></td>
                                <td>
                                    <div class="text-end">
                                        <button type="button" class="btn btn-sm rounded-3" data-bs-toggle="dropdown"
                                            aria-expanded="true">
                                            <i class="fa fa-ellipsis-v fa-sm text-muted"></i>
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-sm-end" data-popper-placement="bottom-end">
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('admin.transactions.edit', $transaction->id)); ?>"><i
                                                        class="fa fa-edit me-2"></i><?php echo e(admin_lang('Edit')); ?></a>
                                            </li>
                                            <li>
                                                <hr class="dropdown-divider" />
                                            </li>
                                            <li>
                                                <form action="<?php echo e(route('admin.transactions.destroy', $transaction->id)); ?>"
                                                    method="POST">
                                                    <?php echo csrf_field(); ?> <?php echo method_field('DELETE'); ?>
                                                    <button class="vironeer-able-to-delete dropdown-item text-danger"><i
                                                            class="far fa-trash-alt me-2"></i><?php echo e(admin_lang('Delete')); ?></button>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
            <div class="tab-pane fade" id="canceled" role="tabpanel" aria-labelledby="canceled-tab">
                <table class="datatable50 table w-100">
                    <thead>
                        <tr>
                            <th class="tb-w-2x"><?php echo e(admin_lang('#ID')); ?></th>
                            <th class="tb-w-7x"><?php echo e(admin_lang('User')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Plan')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Total')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Gateway')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Type')); ?></th>
                            <th class="tb-w-7x"><?php echo e(admin_lang('Created at')); ?></th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $canceledTransactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><a
                                        href="<?php echo e(route('admin.transactions.edit', $transaction->id)); ?>"><?php echo e($transaction->id); ?></a>
                                </td>
                                <td><a href="<?php echo e(route('admin.users.edit', $transaction->user->id)); ?>"
                                        class="text-dark"><i class="fa fa-user me-2"></i>
                                        <?php echo e($transaction->user->name); ?>

                                    </a>
                                </td>
                                <td><a href="<?php echo e(route('admin.plans.edit', $transaction->plan->id)); ?>"><i
                                            class="far fa-gem me-2"></i>
                                        <?php echo e($transaction->plan->name); ?>

                                    </a>
                                </td>
                                <td><strong><?php echo e(priceSymbol($transaction->total)); ?></strong></td>
                                <td>
                                    <?php if($transaction->gateway): ?>
                                        <a href="<?php echo e(route('admin.settings.gateways.edit', $transaction->gateway->id)); ?>"
                                            class="text-dark">
                                            <i class="fas fa-external-link-alt me-2"></i><?php echo e($transaction->gateway->name); ?>

                                        <?php else: ?>
                                            <span>--</span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($transaction->type == 1): ?>
                                        <span class="badge bg-lg-1"><?php echo e(admin_lang('Subscribe')); ?></span>
                                    <?php elseif($transaction->type == 2): ?>
                                        <span class="badge bg-lg-2"><?php echo e(admin_lang('Renew')); ?></span>
                                    <?php elseif($transaction->type == 3): ?>
                                        <span class="badge bg-lg-9"><?php echo e(admin_lang('Upgrade')); ?></span>
                                    <?php elseif($transaction->type == 4): ?>
                                        <span class="badge bg-lg-10"><?php echo e(admin_lang('Downgrade')); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td><?php echo e(dateFormat($transaction->created_at)); ?></td>
                                <td>
                                    <div class="text-end">
                                        <button type="button" class="btn btn-sm rounded-3" data-bs-toggle="dropdown"
                                            aria-expanded="true">
                                            <i class="fa fa-ellipsis-v fa-sm text-muted"></i>
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-sm-end" data-popper-placement="bottom-end">
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('admin.transactions.edit', $transaction->id)); ?>"><i
                                                        class="fa fa-edit me-2"></i><?php echo e(admin_lang('Edit')); ?></a>
                                            </li>
                                            <li>
                                                <hr class="dropdown-divider" />
                                            </li>
                                            <li>
                                                <form action="<?php echo e(route('admin.transactions.destroy', $transaction->id)); ?>"
                                                    method="POST">
                                                    <?php echo csrf_field(); ?> <?php echo method_field('DELETE'); ?>
                                                    <button class="vironeer-able-to-delete dropdown-item text-danger"><i
                                                            class="far fa-trash-alt me-2"></i><?php echo e(admin_lang('Delete')); ?></button>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.grid', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/transactions/index.blade.php ENDPATH**/ ?>