<!DOCTYPE html>
<html lang="<?php echo e(getLang()); ?>">

<head>
    <?php echo $__env->make('frontend.global.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php $__env->startPush('styles'); ?>
        <link rel="stylesheet" href="<?php echo e(asset(mix('assets/auth/css/app.min.css'))); ?>">
    <?php $__env->stopPush(); ?>
    <?php echo $__env->make('frontend.global.styles', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo head_code(); ?>

</head>

<body>
    <div class="sign">
        <nav class="sign-nav">
            <div class="container h-100">
                <div class="row row-cols-auto justify-content-between align-items-center flex-nowrap h-100">
                    <div class="col">
                        <a class="logo" href="<?php echo e(route('home')); ?>">
                            <img class="logo-dark" src="<?php echo e(asset($settings->media->dark_logo)); ?>"
                                alt="<?php echo e($settings->general->site_name); ?>" />
                            <img class="logo-light d-none" src="<?php echo e(asset($settings->media->light_logo)); ?>"
                                alt="<?php echo e($settings->general->site_name); ?>" />
                        </a>
                    </div>
                    <div class="col">
                        <div class="row row-cols-auto g-2 align-items-center flex-nowrap">
                            <?php if($settings->actions->language_menu_status): ?>
                                <div class="col">
                                    <div class="auth-dropdown lang me-2" data-dropdown>
                                        <div class="auth-dropdown-btn">
                                            <img src="<?php echo e(getLangFlag()); ?>" alt="<?php echo e(getLangName()); ?>" />
                                            <span><?php echo e(getLangName()); ?></span>
                                            <i class="fa fa-chevron-down fa-sm"></i>
                                        </div>
                                        <div class="auth-dropdown-menu">
                                            <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <a href="<?php echo e(langURL($language->code)); ?>"
                                                    class="auth-dropdown-item <?php echo e(getLang() == $language->code ? 'active' : ''); ?>">
                                                    <img src="<?php echo e(asset($language->flag)); ?>"
                                                        alt="<?php echo e($language->name); ?>" />
                                                    <span><?php echo e($language->name); ?></span>
                                                </a>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <div class="col">
                                <?php if(auth()->guard()->check()): ?>
                                    <form class="d-inline" action="<?php echo e(route('logout')); ?>" method="POST">
                                        <?php echo csrf_field(); ?>
                                        <button class="sign-btn"><i class="fas fa-sign-out-alt"></i><span
                                                class="ms-2 d-none d-sm-inline-block"><?php echo e(lang('Logout', 'auth')); ?></span></button>
                                    </form>
                                <?php else: ?>
                                    <?php if(request()->routeIs('register')): ?>
                                        <a href="<?php echo e(route('login')); ?>" class="btn btn-outline-primary">
                                            <i class="fa fa-sign-in"></i>
                                            <span
                                                class="ms-1 d-none d-sm-inline-block"><?php echo e(lang('Sign In', 'auth')); ?></span>
                                        </a>
                                    <?php elseif(request()->routeIs('login')): ?>
                                        <?php if($settings->actions->registration_status): ?>
                                            <a href="<?php echo e(route('register')); ?>" class="btn btn-outline-primary">
                                                <i class="fas fa-user-plus"></i>
                                                <span
                                                    class="ms-1 d-none d-sm-inline-block"><?php echo e(lang('Sign Up', 'auth')); ?></span>
                                            </a>
                                        <?php endif; ?>
                                    <?php else: ?>
                                        <a href="<?php echo e(route('login')); ?>" class="btn btn-outline-primary">
                                            <i class="fa fa-sign-in"></i>
                                            <span
                                                class="ms-1 d-none d-sm-inline-block"><?php echo e(lang('Sign In', 'auth')); ?></span>
                                        </a>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>
                            <?php if($settings->theme->mode_switcher): ?>
                                <div class="col">
                                    <button class="btn btn-theme ms-2">
                                        <i class="fa fa-sun"></i>
                                        <i class="fa fa-moon"></i>
                                    </button>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </nav>
        <div class="sign-body my-auto">
            <div class="container">
                <?php echo $__env->yieldContent('content'); ?>
            </div>
        </div>
        <footer class="sign-footer mt-auto">
            <div class="container">
                <div class="text-center">
                    <p class="text-muted mb-3 mb-md-0">&copy; <span data-year></span>
                        <?php echo e($settings->general->site_name); ?> - <?php echo e(lang('All rights reserved')); ?>.</p>
                </div>
            </div>
        </footer>
    </div>
    <?php $__env->startPush('scripts'); ?>
        <script src="<?php echo e(asset(mix('assets/auth/js/app.min.js'))); ?>"></script>
    <?php $__env->stopPush(); ?>
    <?php echo $__env->make('frontend.configurations.config', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('frontend.configurations.widgets', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('frontend.global.scripts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo google_captcha(); ?>

    <?php if($errors->any()): ?>
        <script>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                toastr.error('<?php echo e($error); ?>')
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </script>
    <?php elseif(session('status')): ?>
        <script>
            toastr.success('<?php echo e(session('status')); ?>')
        </script>
    <?php elseif(session('resent')): ?>
        <script>
            toastr.success('<?php echo e(lang('Link has been resend Successfully', 'auth')); ?>')
        </script>
    <?php endif; ?>
</body>

</html>
<?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/frontend/layouts/auth.blade.php ENDPATH**/ ?>